OpenVDB 13.0.0

Loading...
Searching...
No Matches
ComputePrimitives.h File Reference

A collection of parallel compute primitives. More...

`#include <utility>`
`#include <tuple>`

Go to the source code of this file.

## Classes
struct | index_sequence<... >
struct | make_index_sequence< N, Is >
struct | make_index_sequence< 0, Is... >
class | ApplyFunc< Fn, Args >

## Namespaces
namespace | cxx14

## Functions
void | computeSync (bool useCuda, const char *file, int line)
void | computeFill (bool useCuda, void *data, uint8_t value, size_t size)
template<typename FunctorT, typename... Args>
void | computeForEach (bool useCuda, int numItems, int blockSize, const char *file, int line, const FunctorT &op, Args... args)
void | computeDownload (bool useCuda, void *dst, const void *src, size_t size)
void | computeCopy (bool useCuda, void *dst, const void *src, size_t size)

## Detailed Description

A collection of parallel compute primitives.

## Function Documentation

## ◆ computeCopy()

void computeCopy | ( | bool | useCuda,
|  | void * | dst,
|  | const void * | src,
|  | size_t | size )
| inline

## ◆ computeDownload()

void computeDownload | ( | bool | useCuda,
|  | void * | dst,
|  | const void * | src,
|  | size_t | size )
| inline

## ◆ computeFill()

void computeFill | ( | bool | useCuda,
|  | void * | data,
|  | uint8_t | value,
|  | size_t | size )
| inline

## ◆ computeForEach()

template<typename FunctorT, typename... Args>

void computeForEach | ( | bool | useCuda,
|  | int | numItems,
|  | int | blockSize,
|  | const char * | file,
|  | int | line,
|  | const FunctorT & | op,
|  | Args... | args )
| inline

## ◆ computeSync()

void computeSync | ( | bool | useCuda,
|  | const char * | file,
|  | int | line )
| inline